org.apache.solr.util

## Class RandomForceMergePolicy

- java.lang.Object
- - org.apache.lucene.index.MergePolicy
  - - org.apache.lucene.index.MergePolicyWrapper
    - - org.apache.solr.util.RandomMergePolicy
      - - org.apache.solr.util.RandomForceMergePolicy

-     public final class RandomForceMergePolicy
      extends RandomMergePolicy

  A `MergePolicy` with a no-arg constructor that proxies to a `ForceMergePolicy` wrapped instance retrieved from `LuceneTestCase.newMergePolicy(java.util.Random)`. Solr tests utilizing the Lucene randomized test framework can refer to this class in solrconfig.xml to get a fully randomized merge policy that only returns forced merges.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.MergePolicy

      `org.apache.lucene.index.MergePolicy.MergeAbortedException, org.apache.lucene.index.MergePolicy.MergeException, org.apache.lucene.index.MergePolicy.MergeSpecification, org.apache.lucene.index.MergePolicy.OneMerge`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.MergePolicyWrapper

      `in`

    - ### Fields inherited from class org.apache.lucene.index.MergePolicy

      `DEFAULT_MAX_CFS_SEGMENT_SIZE, DEFAULT_NO_CFS_RATIO, maxCFSSegmentSize, noCFSRatio`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomForceMergePolicy()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.index.MergePolicyWrapper

      `findForcedDeletesMerges, findForcedMerges, findMerges, getNoCFSRatio, setMaxCFSSegmentSizeMB, setNoCFSRatio, size, toString, useCompoundFile`

    - ### Methods inherited from class org.apache.lucene.index.MergePolicy

      `getMaxCFSSegmentSizeMB, isMerged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomForceMergePolicy

          public RandomForceMergePolicy()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.